For Developers
Update Rule
PATCH https://ed.link/api/v2/teams/:team_id/integrations/:integration_id/rules/:rule_id
Updates rule definitions and schedules a materialization to apply the new criteria.
Permissions
Requires either the rules.create or rules.update system permission.
Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
:team_id | UUID | Yes | The ID of the team. |
:integration_id | UUID | Yes | The ID of the integration. |
:rule_id | UUID | Yes | The ID of the rule. |
Request Body
| Property | Type | Required | Description |
|---|---|---|---|
name | String | No | Updated rule name. |
action | String | No | Updated action (include or exclude). |
target | String | No | Updated target entity type. |
conditions | Array | No | Updated conditions array. |
Sample Request
const response = await axios.patch(
`https://ed.link/api/v2/teams/${team_id}/integrations/${integration_id}/rules/${rule_id}`,
{
name: 'Exclude Inactive Students'
},
{
headers: {
authorization: `Bearer ${user_session_token}`,
'content-type': 'application/json'
}
}
);
Sample Response
{
"$data": {
"id": "7ca194a2-1982-4f91-8841-59128aa10234",
"name": "Exclude Inactive Students"
}
}
